<s:div xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:g="http://www.ihe.net/gazelle"
       xmlns:rich="http://richfaces.org/rich" xmlns:f="http://java.sun.com/jsf/core"
       xmlns="http://www.w3.org/1999/xhtml">
    <rich:dataTable id="messagesTable" rendered="#{messageManagerBean.availableMessages != null}"
                    rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                    value="#{messageManagerBean.availableMessages}" var="currentMessage" render="ds">
        <g:column name="idColumn" sortBy="#{'id'}" sortOrder="descending">
            <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Id']}</ui:define>
            <a href="#{applicationConfiguration.getValueOfVariable('application_url')}/messages/messageResponder.seam?id=#{currentMessage.id}"
               target="_blank">#{currentMessage.id}</a>
        </g:column>
        <ui:include src="/messages/messageResponderTableColumns.xhtml">
            <ui:param name="messageManagerBean" value="#{messageManagerBean}"/>
            <ui:param name="tableId" value="#{messages['net.ihe.gazelle.xdstar.MessagesTable']}"/>
        </ui:include>
        <f:facet name="footer">
            <ui:include src="/util/datatableFooter.xhtml">
                <ui:param name="dataScrollerId" value="ds"/>
                <ui:param name="dataTableId" value="messagesTable"/>
            </ui:include>
        </f:facet>
    </rich:dataTable>
    <ui:include src="/messages/messageResponderModalPanel.xhtml">
        <ui:param name="messageManagerBean" value="#{messageManagerBean}"/>
    </ui:include>
</s:div>
